#include<iostream>
using namespace std;
int main(){
    long long x,y;
    int n,i,j;
    cin>>n;
    long long kolko[10000],ng=0,br=0;
    for(i=0;i<n;i++){
        cin>>x>>y;
        for(j=x;j<y;j++){
            kolko[j]++;
            if(kolko[j]>ng){
                ng=kolko[j];
                br=0;
            }
            if(kolko[j]==ng){
                br++;
            }
        }
    }
    cout<<ng<<endl<<br<<endl;
    return 0;
}
